| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::flann::Index Class Reference

`#include <opencv2/flann/miniflann.hpp>`

## Public Member Functions
| Index ()
| Index (InputArray features, const IndexParams &params, cvflann::flann_distance_t distType=cvflann::FLANN_DIST_L2)
virtual | ~Index ()
virtual void | build (InputArray features, const IndexParams &params, cvflann::flann_distance_t distType=cvflann::FLANN_DIST_L2)
cvflann::flann_algorithm_t | getAlgorithm () const
cvflann::flann_distance_t | getDistance () const
virtual void | knnSearch (InputArray query, OutputArray indices, OutputArray dists, int knn, const SearchParams &params=SearchParams())
virtual bool | load (InputArray features, const String &filename)
virtual int | radiusSearch (InputArray query, OutputArray indices, OutputArray dists, double radius, int maxResults, const SearchParams &params=SearchParams())
virtual void | release ()
virtual void | save (const String &filename) const

## Protected Attributes
cvflann::flann_algorithm_t | algo
cvflann::flann_distance_t | distType
int | featureType
void * | index

## Constructor & Destructor Documentation

## § Index() [1/2]

cv::flann::Index::Index | ( |  | ) |

Python:
| <flann_Index object> | = | cv.flann_Index( |  | )
| <flann_Index object> | = | cv.flann_Index( | features, params[, distType] | )

## § Index() [2/2]

cv::flann::Index::Index | ( | InputArray | features,
|  | const IndexParams & | params,
|  | cvflann::flann_distance_t | distType = `cvflann::FLANN_DIST_L2`
| ) |  |

Python:
| <flann_Index object> | = | cv.flann_Index( |  | )
| <flann_Index object> | = | cv.flann_Index( | features, params[, distType] | )

## § ~Index()

virtual cv::flann::Index::~Index | ( |  | ) |
| virtual

## Member Function Documentation

## § build()

virtual void cv::flann::Index::build | ( | InputArray | features,
|  | const IndexParams & | params,
|  | cvflann::flann_distance_t | distType = `cvflann::FLANN_DIST_L2`
| ) |  |
| virtual

Python:
| None | = | cv.flann_Index.build( | features, params[, distType] | )

## § getAlgorithm()

cvflann::flann_algorithm_t cv::flann::Index::getAlgorithm | ( |  | ) | const

Python:
| retval | = | cv.flann_Index.getAlgorithm( |  | )

## § getDistance()

cvflann::flann_distance_t cv::flann::Index::getDistance | ( |  | ) | const

Python:
| retval | = | cv.flann_Index.getDistance( |  | )

## § knnSearch()

virtual void cv::flann::Index::knnSearch | ( | InputArray | query,
|  | OutputArray | indices,
|  | OutputArray | dists,
|  | int | knn,
|  | const SearchParams & | params = `SearchParams()`
| ) |  |
| virtual

Python:
| indices, dists | = | cv.flann_Index.knnSearch( | query, knn[, indices[, dists[, params]]] | )

## § load()

virtual bool cv::flann::Index::load | ( | InputArray | features,
|  | const String & | filename
| ) |  |
| virtual

Python:
| retval | = | cv.flann_Index.load( | features, filename | )

## § radiusSearch()

virtual int cv::flann::Index::radiusSearch | ( | InputArray | query,
|  | OutputArray | indices,
|  | OutputArray | dists,
|  | double | radius,
|  | int | maxResults,
|  | const SearchParams & | params = `SearchParams()`
| ) |  |
| virtual

Python:
| retval, indices, dists | = | cv.flann_Index.radiusSearch( | query, radius, maxResults[, indices[, dists[, params]]] | )

## § release()

virtual void cv::flann::Index::release | ( |  | ) |
| virtual

Python:
| None | = | cv.flann_Index.release( |  | )

## § save()

virtual void cv::flann::Index::save | ( | const String & | filename | ) | const
| virtual

Python:
| None | = | cv.flann_Index.save( | filename | )

## Member Data Documentation

## § algo

cvflann::flann_algorithm_t cv::flann::Index::algo
| protected

## § distType

cvflann::flann_distance_t cv::flann::Index::distType
| protected

## § featureType

int cv::flann::Index::featureType
| protected

## § index

void* cv::flann::Index::index
| protected

The documentation for this class was generated from the following file:

- opencv2/flann/miniflann.hpp